# Luhmann-Portal

In diesem Repository befindet sich der Code des Frontends für das
Niklas-Luhmann Archiv. Das Frontend benutzt das Framework React.js in
Kombination mit React-Router, Redux und Webpack.

Es gibt 3 Webpack-Konfigurationsdateien:

1. webpack.development.js
    * Entwicklungsinstanz. Zum Testen neuer Features.

2. webpack.testing.js
    * Testinstanz: Die Editoren können in dieser Instanz die Anzeige der von
    ihnen erstellten Inhalte prüfen

3. webpack.production.js
    * Produktiv-Instanz zur öffentlichen Verwendung

Das Repository enthält außerdem einen Web-Server mit Express.js. Dieser kann
mit dem Skript `server.js` gestartet werden. Dies hat den Vorteil, dass auch
Server-Side-Rendering möglich ist, sodass die Seite wesentlich schneller
im Browser angezeigt wird, als wenn erst ein größeres `bundle.js`
heruntergeladen und geparst werden muss.
