import React from "react";
import { BrowserRouter } from 'react-router-dom'
import CommonRootComponent from "./CommonRootComponent.js";
import { StaticRouter } from 'react-router'
import JssProvider from 'react-jss/lib/JssProvider';
import {createGenerateClassName} from '@material-ui/core/styles';

/*
  This is the root component that is used on server side rendering.
*/

export default class ServerRootComponent extends React.Component {
  render() {

    const context = {};

    return (
      <StaticRouter
        location={this.props.location}
        context={context}
      >
        <CommonRootComponent/>
      </StaticRouter>
    );

  }
}
