import React from "react";
import withWidth from '@material-ui/core/withWidth';

class FullPageFrame extends React.Component {

  constructor(props) {
    super(props);
  }


  componentDidMount() {
    return;
  }


  render(){

    const width = this.props.width;
    const isSmallScreen = width === "xs";

    return (
      <div
        style={{
          "padding": isSmallScreen ? "0" : "20px 30px"
        }}
        className="editorialContent"
      >
        {this.props.children}
      </div>
    );
  }

}

export default withWidth()(FullPageFrame);
