import React from "react";

import { Link } from "react-router-dom";
import BusySpinner from "./BusySpinner";

export default class HTMLView extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
  }

  componentDidMount(){
    fetch(this.props.src)
    .then(r => r.text())
    .then(r => {
      this.setState({
        html: r
      });
    })
    .catch(e => {
      console.log(e);
    })
  }


  render(){
    if (this.state.html){
      return (
        <div dangerouslySetInnerHTML={{__html: this.state.html}}></div>
      );
    } else {
      return <BusySpinner/>;
    }
  }

}
