import React from "react";


export default class LetterToggle extends React.Component {

  constructor(props) {
    super(props);
  }


  handleClick(){
    this.props.onChange && this.props.onChange();
  }


  render(){
    return (
      <div style={{
        "display": "inline-block",
        "background": this.props.checked ? "skyblue" : "#EEEEEE",
        "width": "30px",
        "height": "30px",
        "borderRadius": "50%",
        "lineHeight": "30px",
        "textAlign": "center",
        "margin": "5px",
        "cursor": "pointer",
        "userSelect": "none"
      }}
        onClick={this.handleClick.bind(this)}
      >
        <span>
          {this.props.children}
        </span>
      </div>
    );
  }
}
