import React from "react";
import { Link } from "react-router-dom";
import { fetchJSON } from "../../utils.js";

import DocumentPageFrame from "../UI/DocumentPageFrame";
import Crumbs from "../UI/Crumbs";
import HTMLView from "../UI/HTMLView";
import BusySpinner from "../UI/BusySpinner";

export default class Aktuelles extends React.Component {

  constructor(props) {
    super(props);
  }


  render(){
    return (
      <DocumentPageFrame>
        <Crumbs crumbs={[
          {
            "link": "/",
            "title": "Niklas-Luhmann-Archiv"
          },
          {
            "link": "/aktuelles",
            "title": "Aktuelles"
          }
        ]} />
        <HTMLView src={"/assets/texts/aktuelles.html"}/>
      </DocumentPageFrame>
    );
  }
}
