import React from "react";
import { Link } from "react-router-dom";
import { fetchJSON } from "../../../utils.js";
import { withRouter } from 'react-router'

import DocumentPageFrame from "../../UI/DocumentPageFrame";
import HTMLView from "../../UI/HTMLView";
import Crumbs from "../../UI/Crumbs";

const constants = require("../../../constants.js");

class Nachlassübersicht extends React.Component {

  constructor(props) {
    super(props);
  }


  render(){
    return (
      <DocumentPageFrame>
        <HTMLView src={"/assets/texts/nachlass/index.html"}/>
      </DocumentPageFrame>
    );
  }
}

export default withRouter(Nachlassübersicht)
