import React from "react";
import { Link } from "react-router-dom";

export default class Footer extends React.Component {
  render(){
    return (
        <footer>
          <div className="footer-content">

            <div className="footer_logos">

              <a
                href="http://www.awk.nrw.de/startseite.html"
                target="_blank"
                rel="noopener"
              >
                <img className="footer_logo"
                  src="/assets/images/logos/AWK_Logo_web_lightgrey.svg"
                  alt="Logo der Nordrhein-Westphälischen Akademie der Wissenschaften"
                />
              </a>

              <a
                href="https://www.uni-bielefeld.de/soz/"
                target="_blank"
                rel="noopener"
              >
                <img className="footer_logo"
                  src="/assets/images/logos/Universitaet_Bielefeld_sw.svg"
                  alt="Logo der Universität Bielefeld"
                />
              </a>

              <a
                href="http://cceh.uni-koeln.de"
                target="_blank"
                rel="noopener"
              >
                <img className="footer_logo"
                  src="/assets/images/logos/cceh-logo-sw.svg"
                  alt="Logo des Cologne Center for eHumanities"
                />
              </a>
            </div>

            <p style={{"maxWidth": "850px", "display": "inline-block"}}>
              Die Datenbestände des Forschungsportals werden fortlaufend erweitert. Entsprechend unterliegen die Einträge insbesondere in den Bestandsregistern und die Verlinkungen in und zwischen einzelnen Datenbeständen einem ständigen Ergänzungsprozess.
            </p>

            <p>
              Version 1 (08.04.2019)
            </p>

            <p id="legal_notice">
              <a href="/impressum">
                Impressum/Kontakt
              </a>
              <span style={{"whiteSpace": "pre"}}>   </span>
              <a
                target="_blank"
                href="https://www.uni-bielefeld.de/Universitaet/datenschutzhinweise.html"
                rel="noopener"
              >
                Datenschutzhinweise
              </a>
              <span style={{"whiteSpace": "pre"}}>   </span>
              <a href="mailto:info@niklas-luhmann-archiv.de?Subject=Fehler im Portal">
                Einen Fehler melden
              </a>
              <br/>
              <span>
                Soweit nicht anderes vermerkt unterliegen alle Inhalte den
                Lizenzbestimmungen <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/deed.de">CC-BY-NC-SA 4.0</a>
              </span>
            </p>

          </div>
        </footer>
    );
  }
}
