import React from "react";
import { NavLink } from "react-router-dom";

export default class HeaderLink extends React.Component {
  render(){
    return (
      <NavLink
        to={this.props.to}
        className="navigation_link"
        activeClassName="is-active"
        style={{
          "color": "white",
          "textDecoration": "none",
          "padding": "0px 24px",
          "fontSize": "14px",
          "fontWeight": "400",
          "opacity": ".87"
        }}
      >
        {this.props.children}
      </NavLink>
    );
  }
}
