import React from "react";

import TextField from '@material-ui/core/TextField';

export default class TextFilter extends React.Component {

  constructor(props) {
    super(props);
  }


  handleChange(value){
    this.props.onChange && this.props.onChange(value);
  }


  render(){
    return (
      <div
        className="search-page_textfield"
        style={{"marginTop": "10px"}}
      >
        <TextField
          id={this.props.id}
          label={this.props.label}
          fullWidth
          onChange={e => this.handleChange(e.target.value)}
          value={this.props.value}
        />
      </div>
    );
  }
}
