import { createMuiTheme } from '@material-ui/core/styles';
import blueGrey from '@material-ui/core/colors/blueGrey';

const theme = createMuiTheme({
  palette: {
    primary: blueGrey,
    secondary: {
      main: "#000000"
    }
  },
  typography: {
    useNextVariants: true,
  }
});

export default theme;
