import React from "react";
import { Link } from "react-router-dom";
import { withRouter } from 'react-router'

import DocumentPageFrame from "../UI/DocumentPageFrame";
import HTMLView from "../UI/HTMLView";
import Crumbs from "../UI/Crumbs";

const constants = require("../../constants.js");

class Impressum extends React.Component {

  constructor(props) {
    super(props);
  }


  render(){
    return (
      <DocumentPageFrame>
        <Crumbs crumbs={[
          {
            "link": "/",
            "title": "Niklas-Luhmann-Archiv"
          },
          {
            "link": "/impressum",
            "title": "Impressum"
          }
        ]} />
        <HTMLView src={"/assets/texts/impressum.html"}/>
      </DocumentPageFrame>
    );
  }
}

export default withRouter(Impressum)
