import React from "react";

import { Link } from "react-router-dom";

var constants = require("../../../../../constants.js");

import Result from "./Result";

export default class Results extends React.Component {

  constructor(props) {
    super(props);
  }

  render(){

    const results = this.props.results;

    if (!results) return "";

    if (results.length > 0){
      return results.map((r, i) =>
        <Result
          result={r}
          key={i}
        />
      )
    } else {
      return <p
        style={{"textAlign": "center"}}
      >
          Keine AV-Dokumente gefunden.
      </p>;
    }
  }
}
