import React from "react";

import { Link } from "react-router-dom";

import ConditionalItemField from "../../../../../../UI/ConditionalItemField"

export default class DetailInfoMS extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
  }



  render(){

    const self = this;
    const item = this.props.item;

    return (
      <div>
        <ConditionalItemField
          label="Autor(en)"
          value={item.authorsHTML}
          markupType="html"
        />
        <ConditionalItemField label="Titel" value={item.title} />
        <ConditionalItemField label="Untertitel" value={item.subtitle} />
        <ConditionalItemField label="Titelzusatz" value={item.title_addition} />
        <ConditionalItemField label="Paralleltitel" value={item.title_alt} />
        <ConditionalItemField label="Erstellungsjahr" value={
          (item.imprint && item.imprint.date)
          || (item.monogr && item.monogr.imprint && item.monogr.imprint.date)
        } />
        <ConditionalItemField
          label="Herausgeber"
          value={item.editors}
          separator=" / "
        />
        <ConditionalItemField
          label="Erstellungsort"
          value={item.imprint && item.imprint.pubPlace}
        />
        <ConditionalItemField
          label="Verlag"
          value={item.imprint && item.imprint.publisher}
        />
        <ConditionalItemField
          label="Auflage"
          value={item.edition}
        />
        <ConditionalItemField label="Umfang" value={(item.monogr && item.monogr.extent)} />
      </div>
    );
  }
}
