import React from "react";

import { Link } from "react-router-dom";

export default class Error extends React.Component {

  constructor(props) {
    super(props);
  }

  render(){

    if (this.props.error === "unknownID"){
      return (
        <div style={{"textAlign": "center", "maxWidth": "1000px", "margin": "auto"}}>
          <img style={{"width": "300px"}} src="/assets/images/verlorener_zettel.png" />
          <h1>Da ist leider etwas schief gelaufen!</h1>
          <h5 style={{"lineHeight": "1.5em"}}>Das Dokument mit der ID "{this.props.id}" wurde nicht gefunden.</h5>
          <h5 style={{"lineHeight": "1.5em"}}>
            Wenn Sie diese Seite über einen Link aus dem Portal erreicht haben,
            haben wir einen Fehler gemacht. Entschuldigung.
          </h5>
          <h5 style={{"lineHeight": "1.5em"}}>
            Sie können uns bei der Behebung des Problems helfen, indem Sie uns
            eine Mail mit der problematischen ID "{this.props.id}" und der URL der Seite, auf der
            sich der fehlerhafte Link befindet, an <a href="mailto:info@niklas-luhmann-archiv.de">info@niklas-luhmann-archiv.de</a> senden.
          </h5>
        </div>
      );
    } else if (this.props.error === "server"){
      return (
        <div style={{"textAlign": "center", "maxWidth": "1000px", "margin": "auto"}}>
          <h1>Luhmann, wir haben ein Problem!</h1>
          <h5 style={{"lineHeight": "1.5em"}}>
            Leider bekommen wir keine brauchbare Antwort vom Server.
          </h5>
          <h5 style={{"lineHeight": "1.5em"}}>
            Bitte überprüfen Sie die Internetverbindung und versuchen
            Sie, die Seite erneut zu laden.
            Wenn es dann immer noch nicht funktioniert, können Sie uns bei der
            Behebung des Problems helfen, indem Sie uns
            eine Mail mit der problematischen ID "{this.props.id}"
            an <a href="mailto:info@niklas-luhmann-archiv.de">info@niklas-luhmann-archiv.de</a> senden.
          </h5>
        </div>
      );
    }
  }
}
