import React from "react";

import { Link } from "react-router-dom";

const constants = require("../../../../../../constants.js");

export default class Result extends React.Component {

  constructor(props) {
    super(props);
  }

  render(){

    const item = this.props.result;
    const item_id = item.id;

    return (
      <p>
        <Link to={"/bestand/bibliographie/item/" + item_id}>
          {
            item.displayTitle
            || "Bibliographischer Eintrag ohne Titel (" + item_id + ")"
          }
        </Link>
      </p>
    );
  }
}
