import React from "react";

import { Link } from "react-router-dom";
import { fetchJSON } from "../../../../utils.js";

import DocumentPageFrame from "../../../UI/DocumentPageFrame";
import HTMLView from "../../../UI/HTMLView";
import Crumbs from "../../../UI/Crumbs";
import BusySpinner from "../../../UI/BusySpinner";

var constants = require("../../../../constants.js");

export default class Tutorial extends React.Component {

  constructor(props) {
    super(props);
  }


  componentDidMount() {
    document.title = "Tutorial des Zettelkastens"
    + " - " + constants.APP_TITLE;
  }


  componentWillUnmount(){
    if (document) {
      document.title = constants.APP_TITLE;
    }
  }


  render(){
    return (
      <DocumentPageFrame>
        <HTMLView src={"/assets/texts/bestände/ZK/tutorial.html"}/>
      </DocumentPageFrame>
    );
  }
}
