import React from "react";

import { Link } from "react-router-dom";

export default class TitleBox extends React.Component {

  constructor(props) {
    super(props);
  }

  render(){

    let zettel = this.props.zettel;

    let mainTitle = <h1 className="zettel-mainTitle">
      {
        zettel.title
        || "Unbenannter Zettel (" + zettel.ekin + ")"
      }
    </h1>

    let subTitle = "";
    if (zettel.subtitle && zettel.subtitle.length > 0){
      subTitle = <h2 className="zettel-subTitle">{zettel.subtitle}</h2>;
    }

    return <div className="zettel-title">
      {mainTitle}
      {subTitle}
    </div>;
  }
}
