import React from "react";
import { Link } from "react-router-dom";

export default class TeamMember extends React.Component {
  render(){

    const item = this.props.data;

    return (
      <div
        style={{
          "display": "flex",
          "margin": "10px 0px"
        }}
      >
          {
            item.img
            ? <div>
              <img
                style={{
                  "maxWidth": "150px",
                  "marginRight": "10px"
                }}
                src={item.img}
              />
            </div>
            : ""
          }
        <div>
          <div>
            <p>
              <span style={{"fontWeight": "bold"}}>{item.name}</span>
              <br/>
              {item.subtitle ? <>{item.subtitle}<br/></> : ""}
              {
                item.mail ?
                <span>
                  <a href={"mailto:" + item.mail}>
                    {item.mail}
                  </a>
                  <br/>
                </span>
                : ""
              }
              {
                item.link ?
                <span>
                  <a href={item.link}>
                    {item.link}
                  </a>
                  <br/>
                </span>
                : ""
              }
              {item.role ? <>{item.role}<br/></> : ""}
              {item.function ? "Zuständigkeiten: " + item.function : ""}
            </p>
          </div>
        </div>
      </div>
    );
  }
}
