import React from "react";
import ReactDOM from "react-dom";

const parentElement = document.getElementById("app");
import ClientRootComponent from "./components/ClientRootComponent.js";

console.log("PORTAL_MODE = " + process.env.PORTAL_MODE);

if (parentElement.childNodes.length > 0){
  ReactDOM.hydrate(
    <ClientRootComponent/>,
    parentElement
  );
} else {
  ReactDOM.render(
    <ClientRootComponent/>,
    parentElement
  );
}
